MediaWiki:Mobile.css: Difference between revisions

no edit summary
No edit summary
No edit summary
(9 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* All CSS here will be loaded for users of the mobile site */
/* All CSS here will be loaded for users of the mobile site */


/*==General styling==*/
.mw-parser-output a      {text-decoration:underline;    text-underline-offset:2px}/*underline links*/
.mw-parser-output a:hover{text-decoration-thickness:2px;text-decoration-skip-ink:none}
a.selflink{text-decoration:none}
a.new{color:#B55} /* faded red for red links, we don't want too much visual attention on them */
.mw-parser-output li,
.mw-parser-output li:last-child{line-height:1.4em; margin-bottom:0.6em}/*spacing for bullet points*/
.wikitable ul { margin:0 0 0 0.7em } /* less spacing for bullet points in tables */
.wikitable li { margin:0 }


/*==Expandables and calculations==*/
/*==Expandables and calculations==*/
Line 12: Line 21:
.dp3{font-family:serif; color:#333; font-weight:normal; font-size:84%; padding:0.8em 0 0 0.4em}
.dp3{font-family:serif; color:#333; font-weight:normal; font-size:84%; padding:0.8em 0 0 0.4em}
.calc{font-family:monospace,sans-serif; background:#CFC; border-bottom:1px solid #CCC}
.calc{font-family:monospace,sans-serif; background:#CFC; border-bottom:1px solid #CCC}
.calc a{text-decoration:none}
.calc a     {text-decoration-style:dotted; text-underline-offset:3px; text-decoration-skip-ink:none}
.calc a:hover{text-decoration:underline}
.calc a:hover{text-decoration-style:solid}
.ecalc{display:none}
.ecalc{display:none}
.forMore{color:#090; cursor:pointer; text-decoration:none; border:1px solid #EEE}
.forMore{color:#090; cursor:pointer; text-decoration:underline; text-underline-offset:3px; text-decoration-style:dotted}
.forMore:hover{text-decoration:underline}
.forMore:hover{text-decoration-style:solid}


/*==File graph==*/
/*==File graph==*/
Line 32: Line 41:
.altOuter {color:#8F8; cursor:pointer; display:none}
.altOuter {color:#8F8; cursor:pointer; display:none}
.altInner {color:#080; border:1px solid #EEE}
.altInner {color:#080; border:1px solid #EEE}


/*==MediaWiki workarounds==*/
/*==MediaWiki workarounds==*/


.fullWidth img { width:100%; height:auto } /* fitting an image to full page width (i dont know why tf this isn't already a built-in option in mediawiki tbh): */
.fullWidth img { width:100%; height:auto } /* fitting an image to full page width on desktop mode (i dont know why tf this isn't already a built-in option in mediawiki tbh): */


.no-bold-th th { font-weight:normal } /* sometimes you don't want table headers to be bolded, because some other cells need the emphasis instead */
.no-bold-th th { font-weight:normal } /* sometimes you don't want table headers to be bolded, because some other cells need the emphasis instead */


li { line-height:1.2em; margin:0.8em 0 } /* spacing of bullet points */
.mw-parser-output dl {margin-left:0}
 
.mw-parser-output dd {margin-left:1em} /* some skins do some bullshit that ruins my content's indenting. Undo that shit */
a.new{color:#B55} /* draw less attention to red links, visually */